# Crow: crow::multipart::part Struct Reference

Loading...
Searching...
No Matches
crow::multipart::part Struct Reference

One part of the multipart message. More...

`#include <multipart.h>`

## Public Member Functions

| operator int () const
| Returns body as integer.
| operator double () const
| Returns body as double.
const header & | get_header_object (const std::string &key) const

## Public Attributes

mph_map | headers
| (optional) The first part before the data, Contains information regarding the type of data and encoding
std::string | body
| The actual data in the part.

## Detailed Description

One part of the multipart message.

It is usually separated from other sections by a `boundary`

The documentation for this struct was generated from the following file:

- include/crow/multipart.h